# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "dbg-swc"
version = "0.87.54"
authors = ["강동윤 <kdy1997.dev@gmail.com>"]
description = "Debug utilities"
license = "Apache-2.0"
repository = "https://github.com/kdy1/dbg-swc.git"

[[bin]]
name = "dbg-swc"
bench = false

[dependencies.anyhow]
version = "1.0.71"

[dependencies.clap]
version = "3"
features = ["derive"]

[dependencies.dialoguer]
version = "0.10.2"

[dependencies.flate2]
version = "1.0"

[dependencies.rayon]
version = "1.7.0"

[dependencies.serde]
version = "1"

[dependencies.serde_json]
version = "1"

[dependencies.sha1]
version = "0.10.5"

[dependencies.swc_atoms]
version = "0.5.9"

[dependencies.swc_common]
version = "0.32.1"
features = [
    "concurrent",
    "tty-emitter",
]

[dependencies.swc_ecma_ast]
version = "0.109.1"

[dependencies.swc_ecma_codegen]
version = "0.145.5"

[dependencies.swc_ecma_minifier]
version = "0.187.30"
features = ["concurrent"]

[dependencies.swc_ecma_parser]
version = "0.140.0"

[dependencies.swc_ecma_transforms_base]
version = "0.133.7"

[dependencies.swc_ecma_visit]
version = "0.95.1"

[dependencies.swc_error_reporters]
version = "0.16.1"

[dependencies.swc_timer]
version = "0.20.1"

[dependencies.tempfile]
version = "3.6.0"

[dependencies.tracing]
version = "0.1.37"

[dependencies.tracing-subscriber]
version = "0.3.17"
features = [
    "fmt",
    "env-filter",
]

[dependencies.url]
version = "2"
